/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar;

/**
 * This is the InvalidServletParameterValueException class.
 * 
 * This exception is thrown when an invalid value is specified for a specific 
 * parameter.
 */
public class InvalidServletParameterValueException
	extends CalendarServletException {
	private java.lang.String parameter;
	private java.lang.String value;

	/**
	 * @see java.lang.Object#Object()
	 */
	public InvalidServletParameterValueException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public InvalidServletParameterValueException(String s) {
		super(s);
	}

	/**
	 * Method InvalidServletParameterValueException.
	 * @param parameter
	 * @param value
	 */
	public InvalidServletParameterValueException(String parameter, String value) {
		super();
		this.parameter = parameter;
		this.value = value;
	}

	/**
	 * Method getParameter.
	 * @return String
	 */
	public java.lang.String getParameter() {
		return parameter;
	}

	/**
	 * Method getValue.
	 * @return String
	 */
	public java.lang.String getValue() {
		return value;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return super.toString()
			+ ", parameter("
			+ this.parameter
			+ "), value("
			+ this.value
			+ ")";
	}
}