/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar;

/**
 * This is the MissingServletParameterException class.
 * 
 * This exception is thrown when a parameter that is required to carry out a 
 * specific action is missing.
 */
public class MissingServletParameterException
	extends CalendarServletException {
	private java.lang.String parameter;

	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public MissingServletParameterException(String parameter) {
		super();
		this.parameter = parameter;
	}

	/**
	 * Method getParameter.
	 * @return String
	 */
	public java.lang.String getParameter() {
		return parameter;
	}
	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return super.toString() + ", parameter(" + this.parameter + ")";
	}
}