/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.controller;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.pvc.example.calendar.CalendarServletException;
import com.ibm.pvc.example.command.CommandException;

/**
 * This is the CalendarController class.
 * 
 * This is the abstract class that all Factory related Calendar Controller
 * Classes subclass. 
 */
public abstract class CalendarController {

	/**
	 * @see java.lang.Object#Object()
	 */
	public CalendarController() {
		super();
	}
	/**
	 * Method processRequest.
	 * @param request
	 * @param response
	 * @throws ServletException
	 * @throws IOException
	 * @throws CommandException
	 * @throws CalendarServletException
	 */
	public abstract void processRequest(
		HttpServletRequest request,
		HttpServletResponse response)
		throws
			ServletException,
			java.io.IOException,
			CommandException,
			CalendarServletException;
}