/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.controller;

import javax.servlet.ServletException;

import com.ibm.pvc.example.calendar.CalendarServletException;
import com.ibm.pvc.example.calendar.model.command.CreateDbCommand;
import com.ibm.pvc.example.command.CommandException;

/**
 * This is the CreateDbController class.
 * 
 * This class is responsible for handling the user's request to Create the
 * Calendar Servlet's Event data base table.
 * 
 * Note: The database is created as part of the starting of the CalendarBundle.
 *       This controller is provided as a means of dropping and recreating these
 *       tables,  This is currently not exposed in the CalendarServlet UI.
 * 
 */
public class CreateDbController extends CalendarController {
	public static final String ACTION = "CreateDb";

	/**
	 * @see java.lang.Object#Object()
	 */
	public CreateDbController() {
		super();
	}

	/**
	 * @see com.ibm.pvc.example.calendar.controller.CalendarController#processRequest(HttpServletRequest, HttpServletResponse)
	 */
	public void processRequest(
		javax.servlet.http.HttpServletRequest request,
		javax.servlet.http.HttpServletResponse response)
		throws
			ServletException,
			java.io.IOException,
			CommandException,
			CalendarServletException {
		CreateDbCommand command = new CreateDbCommand();
		command.setDropDbIfNecessary(true);

		command.execute();

		// Pass control to SettingsController	
		 (new SettingsController()).processRequest(request, response);
	}
}