/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.model;

import java.sql.Connection;
import java.sql.Statement;

/**
 * This is the DbHelper class.
 * 
 * This is a helper class that provides DB related methods that need to be 
 * executed by a variety of classes. 
 */
public class DbHelper {

/**
 * @see java.lang.Object#Object()
 */
public DbHelper() {
	super();
}
/**
 * Method closeConnection.
 * @param dbConnection
 */
public final static synchronized void closeConnection(Connection dbConnection) {
	if (dbConnection != null) {	
		try {
			dbConnection.close();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
/**
 * Method closeStatement.
 * @param statement
 */
public final static synchronized void closeStatement(Statement statement) {
	if (statement != null) {	
		try {
			statement.close();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
}
