/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */package com.ibm.pvc.example.calendar.model;

import java.sql.SQLException;
import java.sql.Statement;

/**
 * This is the EventDb class.
 * 
 * This class corresponds to the physical database whose data is accessed
 * via the EventDAO class. 
 */
public class EventDb {

	public static final String
 		TABLE_EVENT          = "EVENT",

 		FIELD_LUID           = "LUID",
		FIELD_SUMMARY        = "SUMMARY",
		FIELD_DETAILS        = "DETAILS",
 		FIELD_EVT_START      = "EVT_START",
		FIELD_EVT_END        = "EVT_END",			
		FIELD_CATEGORIES     = "CATEGORIES",
		
 		CREATE_EVENT_TABLE       = "CREATE TABLE "
 		                         + EventDb.TABLE_EVENT 
 		                         + " ( "
 		                         + EventDb.FIELD_LUID       + " INTEGER NOT NULL, "
 		                         + EventDb.FIELD_SUMMARY    + " VARCHAR(32), "
 		                         + EventDb.FIELD_DETAILS    + " VARCHAR(256), " 
 		                         + EventDb.FIELD_EVT_START  + " TIMESTAMP NOT NULL, " 
 		                         + EventDb.FIELD_EVT_END    + " TIMESTAMP, " 
  		                         + EventDb.FIELD_CATEGORIES + " VARCHAR(256), "
 		                         + "PRIMARY KEY(" + EventDb.FIELD_LUID + ")"
 		                         + ")",
 		                         
		DROP_EVENT_TABLE         = "DROP TABLE "
		                         + EventDb.TABLE_EVENT,
		                         
   		CHECK_EVENT_TABLE_EXISTS = "SELECT * FROM \"DB2eSYSTABLES\" WHERE TNAME = '" 
		                         + EventDb.TABLE_EVENT
		                         + "'";
                    
 		                         
/**
 * @see java.lang.Object#Object()
 */
public EventDb() {
	super();
}

/**
 * Method createTables.
 * @param statement
 * @throws SQLException
 */
public static final void createTables(Statement statement) throws SQLException 
{
	statement.executeUpdate(com.ibm.pvc.example.calendar.model.EventDb.CREATE_EVENT_TABLE);
}

/**
 * Method dropTables.
 * @param statement
 * @throws SQLException
 */
public static final void dropTables(Statement statement) throws SQLException 
{
	statement.executeUpdate(com.ibm.pvc.example.calendar.model.EventDb.DROP_EVENT_TABLE);
}
/**
 * Method doesDbExist.
 * @param statement
 * @return boolean
 * @throws SQLException
 */
public static final boolean doesDbExist(Statement statement) throws SQLException 
{
	java.sql.ResultSet 
		rs = statement.executeQuery(CHECK_EVENT_TABLE_EXISTS);

	if (rs.next()) {
		//table exists! 
		return true;
	} else {
		return false;
	}
}

}
