/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.model;

import java.security.AccessController;
import java.security.PrivilegedExceptionAction;
import java.sql.DriverManager;

/**
 * This is the EventDbHelper class.
 * 
 * This is a helper class that provides Event DB related methods that need to be 
 * executed by a variety of classes. 
 */
public class EventDbHelper {
	public static final String 
		EVENT_DB_URL = "jdbc:db2e:calendar";

/**
 * @see java.lang.Object#Object()
 */
public EventDbHelper() {
	super();
}

/**
 * Method getConnection.
 * @return Connection
 * @throws SQLException
 */
public final static synchronized java.sql.Connection getConnection()
	throws java.sql.SQLException {

	java.sql.Connection
		connection = null;

	try {	
		connection = (java.sql.Connection) AccessController.doPrivileged
			(new PrivilegedExceptionAction() {
				public java.lang.Object run() throws Exception {
					java.util.Properties props = new java.util.Properties();
					props.setProperty("LOGIN_TIMEOUT","120");		// timeout after 120 seconds	
					java.sql.Driver driver = DriverManager.getDriver(EventDbHelper.EVENT_DB_URL);
					return driver.connect(EventDbHelper.EVENT_DB_URL, props);	
				} });
	} catch (java.security.PrivilegedActionException privExc) {
		// Need to convert the thrown exception to the appropriate SQLException
		Exception
			exc = privExc.getException();
		if (!(exc instanceof java.sql.SQLException))
		{
			exc = new java.sql.SQLException(privExc.toString() + ", " + privExc.getException().toString());
		}
		throw (java.sql.SQLException) exc;
	}	
	return connection;
}
}
