/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.view;

import java.text.MessageFormat;

/**
 * This is the Resources class.
 * 
 * This abstract class is subclassed to contain the translated text for the Calendar Servlet.
 * A different subclass is required for each locale to which a servlet is to be deployed.
 * Note: For pusposes of this sample Calendar servlet, only the "en_US" subclass is being 
 *       provided.  For this servlet to run in other locales, subclasses for those locales 
 *       would need to be created.
 *  
 */
public abstract class Resources extends java.util.ListResourceBundle {
	public static final java.util.ResourceBundle
		BUNDLE = java.util.ResourceBundle.getBundle("com.ibm.pvc.example.calendar.view.Resources", java.util.Locale.getDefault());

	// Categories	
	public static final String CAT_APPOINTMENT       = "CA_Appt";
	public static final String CAT_BUSINESS          = "CA_Bus";
	public static final String CAT_EDUCATION         = "CA_Edu";
	public static final String CAT_HOLIDAY           = "CA_Hol";
	public static final String CAT_MEETING           = "CA_Meet";
	public static final String CAT_MISCELLANEOUS     = "CA_Misc";
	public static final String CAT_PERSONAL          = "CA_Pers";
	public static final String CAT_PHONE_CALL        = "CA_PhnCall";
	public static final String CAT_SICK_DAY          = "CA_SickDay";	
	public static final String CAT_SPECIAL_OCCASION  = "CA_SpOcc";
	public static final String CAT_TRAVEL            = "CA_Trav";
	public static final String CAT_VACATION          = "CA_Vac";
	public static final String CAT_OTHER             = "CA_Other";
	
	// Errors	
	public static final String ERR_INVALID_ACTION    = "E_InvalidAction";

	// Heading Strings
	public static final String HEAD_WEEK_VIEW        = "H_WeekV";
	public static final String HEAD_NEW_EVENT        = "H_NewEvent";	
	public static final String HEAD_UPDATE_EVENT     = "H_UpdateEvent";	
	public static final String HEAD_DEL_EVENT        = "H_DelEvent";	
	public static final String HEAD_SETTINGS         = "H_Settings";	
	public static final String HEAD_ERROR            = "H_Error";		
	public static final String HEAD_HELP             = "H_Help";	
	public static final String HEAD_OPEN_CAL         = "H_Open";

	// Constant Strings
	public static final String CONST_ALL_DAY         = "C_AllDay";
	public static final String CONST_SHOW            = "C_Show";
	public static final String CONST_DEL_EVENT_Q     = "C_DelEvent";	

	// Field Title Strings
	public static final String FLD_SUMMARY           = "F_Summary";
	public static final String FLD_TYPE              = "F_Type";
	public static final String FLD_DATE              = "F_Date";
	public static final String FLD_ALL_DAY 	       = "F_AllDay";
	public static final String FLD_START_TIME        = "F_Start";
	public static final String FLD_DURATION          = "F_Duration";
	public static final String FLD_MINUTES           = "F_Minutes";	
	public static final String FLD_DETAILS           = "F_Details";	

	public static final String FLD_SHOW_GRID         = "F_SGrid";	
 	public static final String FLD_END_TIME          = "F_ETime";	
	public static final String FLD_DEFAULT_VIEW      = "F_DefView";			
	public static final String FLD_BGCOLOR           = "F_BGCol";	
	public static final String FLD_FGCOLOR           = "F_FGCol";	
	public static final String FLD_OVERFLOW_SUP      = "F_OFSup";	

	// Field Value Constants Strings
	public static final String VAL_DUR_ALL_DAY       = "V_Dur_AllDay"; // All day event
		
	// Action Text { for buttons or icon hover help } Strings
	public static final String ACTION_DAY_VIEW       = "A_DayV";
	public static final String ACTION_WEEK_VIEW      = "A_WeekV";
	public static final String ACTION_MONTH_VIEW     = "A_MonthV";	
	public static final String ACTION_TODAY          = "A_Today";
	public static final String ACTION_NEW_EVENT      = "A_NewEvent";
	public static final String ACTION_SETTINGS       = "A_Settings";
	public static final String ACTION_HELP           = "A_Help";	
	
	public static final String ACTION_P_DAY          = "A_PDay";
	public static final String ACTION_N_DAY          = "A_NDay";	
	public static final String ACTION_P_WEEK         = "A_PWeek";
	public static final String ACTION_N_WEEK         = "A_NWeek";	
	public static final String ACTION_P_MONTH        = "A_PWeek";
	public static final String ACTION_N_MONTH        = "A_NWeek";	

	public static final String ACTION_ADD_EVENT      = "A_Add";
	public static final String ACTION_MOD_EVENT      = "A_Mod";					
	
	public static final String ACTION_GO             = "A_Go";	
	public static final String ACTION_CANCEL         = "A_Cancel";
	public static final String ACTION_OK             = "A_OK";
	public static final String ACTION_DELETE         = "A_Delete";
	public static final String ACTION_CLOSE          = "A_Close";	

	public static final String ACTION_YES            = "A_Yes";
	public static final String ACTION_NO             = "A_No";	
	
	public static final String ACTION_TOC            = "A_ToC";
	public static final String ACTION_BACK           = "A_Back";	
	public static final String ACTION_FORWARD        = "A_Fward";	

	public static final String TEXT_MINUTES          = "T_Minutes";			
	public static final String TEXT_PERM_DEL         = "T_PermDel";
	public static final String TEXT_DEL_CONFIRM      = "T_DelConf";	
	
	public static final String TEXT_NO_SUMMARY       = "T_NoSum";					
			
/**
 * @see java.lang.Object#Object()
 */
public Resources() {
	super();
}

/**
 * Method getNlsString.
 * @param key
 * @return String
 */
public final static String getNlsString(String key) {
	return Resources.BUNDLE.getString(key);
}

/**
 * Method getNlsString.
 * @param key
 * @param parms
 * @return String
 */
public final static String getNlsString(String key, Object[] parms) {
	MessageFormat mf = new MessageFormat(Resources.getNlsString(key));
	return mf.format(parms);
}

}
