/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.command;

/**
 * The Command interface.provides the calling structure for implementing the 
 * standard Command Pattern.
 * 
 * The Command Pattern encapsulates a complete user action within an object.
 * 
 */
public interface Command extends java.io.Serializable {

	/**
	 * Method execute.
	 * @throws CommandException
	 * 
	 * This method will completely carry out the execution of the command, 
	 * or throw a CommandException.
	 * 
	 * By encapsulating all steps to carry out a command, the caller is
	 * sheilded from implementation details.  This facilitates reuse by 
	 * different callers.
	 */
	void execute() throws CommandException;
}